local L = LibStub("AceLocale-3.0"):GetLocale("Broker_Carbonite",true)

LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Broker_Carbonite", {
	type = "launcher",
	text = "Carbonite",
	OnClick = function(_, msg)
		if msg == "LeftButton" then
        if IsAltKeyDown() then
          Nx.Quest.Watch.Win:Show(not Nx.Quest.Watch.Win:IsShown())
          else Nx.Map:ToggleSize(0)
		end
	end
		if msg == "RightButton" then
				Nx.Opts:Open()
		end
		if msg == "MiddleButton" then
				Nx.Map:GetMap(1).Guide:ToggleShow()
	end
end,
	icon = "Interface\\AddOns\\Carbonite\\Gfx\\MMBut.tga",
	OnTooltipShow = function(tooltip)
		if not tooltip or not tooltip.AddLine then return end
		tooltip:AddLine("Broker Carbonite")
		tooltip:AddLine("|cffffff00" .. L["Left-Click|r to toggle Carbonite map"])
		tooltip:AddLine("|cffffff00" .. L["Alt+Left-Click|r to toggle Watch List"])
		tooltip:AddLine("|cffffff00" .. L["Middle-Click|r to toggle Guide"])
		tooltip:AddLine("|cffffff00" .. L["Right-Click|r to show Carbonite options"])
	end,
})
